> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artaios.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Collection

Create a new file collection for organizing related documents.

## Request Body

<ParamField body="name" type="string" required>
  Collection name
</ParamField>

<ParamField body="description" type="string">
  Optional description of the collection's purpose
</ParamField>

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.artaios.ai/api/v1/collections/ \
    -H "x-api-key: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Product Documentation",
      "description": "All product manuals and guides"
    }'
  ```

  ```python Python theme={null}
  import requests

  data = {
      "name": "Product Documentation",
      "description": "All product manuals and guides"
  }

  response = requests.post(
      "https://api.artaios.ai/api/v1/collections/",
      headers={"x-api-key": "YOUR_API_KEY"},
      json=data
  )
  collection = response.json()
  ```

  ```javascript JavaScript theme={null}
  const data = {
    name: "Product Documentation",
    description: "All product manuals and guides"
  };

  const response = await fetch('https://api.artaios.ai/api/v1/collections/', {
    method: 'POST',
    headers: {
      'x-api-key': 'YOUR_API_KEY',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(data)
  });

  const collection = await response.json();
  ```
</CodeGroup>

## Response

```json theme={null}
{
  "id": "coll_456",
  "name": "Product Documentation",
  "description": "All product manuals and guides",
  "status": "pending",
  "progress": 0,
  "data_source_count": 0,
  "total_size": 0,
  "created_at": "2025-01-15T10:30:00Z",
  "updated_at": "2025-01-15T10:30:00Z"
}
```
